<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tlds/petstore.tld"    prefix="petstore" %>
	<!-- Personal information -->
	<tr>
		<td colspan="2" class="sectionheader"><bean:message key="personal_information"/></td>
	</tr>
	<tr>
		<td class="label"><bean:message key="name"/>:</td>
		<td><html:text name="customerForm" property="customerValue.name" /></td>
	</tr>
	<tr>
		<td class="label"><span class="required">*</span><bean:message key="email"/>:</td>
		<td><html:text name="customerForm" property="customerValue.email" /></td>
	</tr>
	<tr>
		<td class="label"><bean:message key="telephone"/>:</td>
		<td><html:text name="customerForm" property="customerValue.phoneNo" /></td>
	</tr>

	<!-- Address -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td colspan="2" class="sectionheader"><bean:message key="address"/></td>
	</tr>
	<tr>
		<td class="label"><bean:message key="address"/>:</td>
		<td><html:text name="customerForm" property="customerValue.address.address" /></td>
	</tr>
	<tr>
		<td class="label"><bean:message key="zipcode"/>:</td>
		<td><html:text name="customerForm" property="customerValue.address.zipcode" /></td>
	</tr>
	
	<!-- Credit card -->
	<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
		<td colspan="2"  class="sectionheader"><bean:message key="ccInfos"/></td>
	</tr>
	<tr>
		<td class="label"><span class="required">*</span><bean:message key="ccType"/>:</td>
		<td>

		
			<logic:notEmpty name="customerForm" property="customerValue.creditCard.type">
				<bean:define id="_creditCardType" name="customerForm" property="customerValue.creditCard.type" />
			</logic:notEmpty>
			<% String creditCardType = ( String )pageContext.getAttribute("_creditCardType"); %>
			<petstore:creditcard name="customerValue.creditCard.type" value="<%= creditCardType %>"/>
		</td>
	</tr>
	<tr>
		<td class="label"><span class="required">*</span><bean:message key="ccNumber"/>:</td>
		<td><html:text name="customerForm" property="customerValue.creditCard.number" /></td>
	</tr>
	<tr>
		<td class="label"><span class="required">*</span><bean:message key="ccExpiryDate"/> (<small>MM-YY</small>):</td>
		<td><html:text name="customerForm" property="customerValue.creditCard.expiryDate" maxlength="5" /></td>
	</tr>