<%@page contentType="text/html; charset=euc-kr" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<html>
<head>
    <title><bean:message key="myaccount.title"/></title>
    <link href="<%= request.getContextPath() %>/style.css" rel="stylesheet" type="text/css">
</head>
<body>

<html:form action="/updateCustomer.do" method="post">

<h2><bean:message key="myaccount.subtitle"/></h2>

<html:hidden name="customerForm" property="customerValue.userId" />

<table border="0" cellspacing="4">
	<tr>
		<td colspan="2" class="sectionheader"><bean:message key="account_information"/></td>
	</tr>
	<tr>
		<td class="label"><bean:message key="userId" /></td>
		<td>
			<html:hidden name="customerForm" property="customerValue.account.userId" />
			<bean:write name="customerForm" property="customerValue.account.userId" />
		</td>
	</tr>

	<tr>
		<td class="label"><span class="required">*</span><bean:message key="password" /></td>
		<td><html:password name="customerForm" property="customerValue.account.password" maxlength="10" /></td>
	</tr>

	<tr><td colspan="2">&nbsp;</td></tr>
	<%@ include file="customerEditor.jsp" %>
</table>

<p>
<html:image page="/images/button_submit.gif" border="0" />

</html:form>

</body>
</html>