package net.javajigi.abs.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import net.javajigi.abs.Constants;
import net.javajigi.user.model.User;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public abstract class SignonAction extends Action {
	protected User getUser(HttpServletRequest request) {
		HttpSession session = request.getSession();

		return (User) session.getAttribute(Constants.USER_KEY);
	}

	/**
	 * α Ǿ θ Ǵϴ ޽.
	 * αε    α  ̵.
	 * αε   doExecute() ޽ ȣ. 
	 */
	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		HttpSession session = request.getSession();

		if ((session == null)
			|| (session.getAttribute(Constants.USER_KEY) == null)) {
			String forwardURL = "/switch.do?prefix=/user&page=/login.jsp";

			return new ActionForward(forwardURL, true);
		}

		return doExecute(mapping, form, request, response);
	}

	/**
	 * SignonActionŬ ϴ Ŭ ؾ ޽. 
	 */
	protected abstract ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception;
}
