package net.javajigi.petstore.action.customer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.petstore.action.BaseAction;
import net.javajigi.petstore.model.domain.Customer;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *      name="customerForm"
 *      path="/updateCustomer"
 *      scope="request"
 *      validate="true"
 *      input="/myaccount.jsp"
 *
 * @struts.action-forward
 *      name="success"
 *      path="/index.jsp"
 *
 * @struts.action-forward
 *      name="error"
 *      path="/myaccount.jsp"
 */
public class UpdateCustomerAction extends BaseAction {
	protected ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		CustomerForm frm = (CustomerForm) form;
		Customer cust = frm.getCustomerValue();

		getPetstore().updateCustomer(cust);

		initSession(cust, request);

		return mapping.findForward(SUCCESS);
	}
}
