package net.javajigi.petstore.model.domain;

import java.io.Serializable;

public class Address implements Serializable {
	private String _address = "";
	private String _zipcode = "";

	public Address() {
		super();
	}

	public Address(Address addr) {
		set(addr);
	}


	/**
	 * @return String
	 *
	 * @hibernate.property
	 *         length="100"
	 */
	public String getAddress() {
		return _address;
	}

	/**
	 * @return String
	 *
	 * @hibernate.property
	 *         length="10"
	 */
	public String getZipcode() {
		return _zipcode;
	}

	public void set(Address address) {
		_address = address.getAddress();
		_zipcode = address.getZipcode();
	}

	/**
	 * Sets the street2.
	 * @param street2 The street2 to set
	 */
	public void setAddress(String address) {
		_address = address;
	}

	/**
	 * Sets the zipcode.
	 * @param zipcode The zipcode to set
	 */
	public void setZipcode(String zipcode) {
		_zipcode = zipcode;
	}
}
