
package net.javajigi.struts.action;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.user.UserManager;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *      path="/user_list"
 *      scope="request"
 *
 * @struts.action-forward
 *      name="user_list"
 *      path="/struts/user_list.jsp"
 */
public class ListAction extends Action{
	/**
	 * UserManager list޽带 ȣϿ 
	 * List response ϴ ҽڵ尡 . 
	 * list.jsp response  Listü ̿Ѵ.
	 */
	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {

		UserManager manager = UserManager.instance();
		List userList = manager.findUserList(1, 10);
		
		//      ü 
		//request Ͽ ϰ ִ.
		//̰   RequestDispatcher ̿ϱ ̴.
		request.setAttribute("userList", userList);	
		
		return mapping.findForward("user_list");
	}
}
