package net.javajigi.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.struts.form.UserForm;
import net.javajigi.user.User;
import net.javajigi.user.UserManager;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *      path="/user_modifyForm"
 *      name="userForm" 
 *      scope="request"
 *
 * @struts.action-forward
 *      name="user_modify"
 *      path="/struts/user_modify.jsp"
 */
public class UpdateFormAction extends Action {

	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		UserForm userForm = (UserForm) form;
			
		UserManager manager = UserManager.instance();
		User user = manager.findUser(userForm.getUserId());
			
		request.setAttribute("user", user);		
				
		return mapping.findForward("user_modify");
	}
}
