package net.javajigi.model2.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import net.javajigi.model2.*;
import net.javajigi.user.UserManager;

public class LoginAction implements Action {
	public ActionForward execute(
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		String userId = request.getParameter("userId");
		String password = request.getParameter("password");
		
		//𵨿 α ó .
		UserManager manager = UserManager.instance();
		manager.login(userId, password);

		//ǿ  ̵ .
		HttpSession session = request.getSession();
		session.setAttribute("userId", userId);
		
		//̵  .
		ActionForward forward = new ActionForward();
		forward.setPath("user_list.m2");
		forward.setRedirect(true);
				
		return forward;
	}
}
